#pragma once

#include <winsock2.h>
#include <set>

#define MSG_CLIENT_ACCEPTED WM_APP + 100
#define MSG_CLIENT_DISCONNECTED WM_APP + 101
#define MSG_DATA_RECEIVED WM_APP + 102
#define MSG_SERVER_STARTED + 103
#define MSG_SERVER_STOPPED + 104


class Server 
{		
public:
	
	CDialog *dialog;
	
	SOCKET socketListen;

	HANDLE hListenThread; //vlakno, ktore pocuva na porte
	HANDLE hServerStop;	//poziadavka na ukoncenie servra

	fd_set fdClientsSet;	
	fd_set fdCheckingSet;

	Server(CDialog *dialog);	
	 ~Server();	

	void StartTCPServer();
	void StopTCPServer();

	static void StartThread(void *ts);	
	void ListenOnPort();	

	int Set_sockaddr_in(const char* host, const char* service, const char* protocol, sockaddr_in* si);
	SOCKET Listen(const char *host,const char *service, int backlog);
	SOCKET Accept(sockaddr_in *sa_in);			
		
	void AddClient(SOCKET client);
	void RemoveClient(SOCKET client);	
};
