// TCP_ServerDlg.h : header file
//

#include "Server.h"

#pragma once

#define MSG_CLIENT_ACCEPTED WM_APP + 100
#define MSG_CLIENT_DISCONNECTED WM_APP + 101
#define MSG_DATA_RECEIVED WM_APP + 102
#define MSG_SERVER_STARTED + 103
#define MSG_SERVER_STOPPED + 104


// CTCP_ServerDlg dialog
class CTCP_ServerDlg : public CDialog
{
// Construction
public:
	CTCP_ServerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TCP_SERVER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	Server* server;
	char cDataBuffer[1024];

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	//notification message functions for dialog
	afx_msg LRESULT OnNewClientAccepted(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnClientDisconnected(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnClientDataRecevied(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnServerStart(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnServerStop(WPARAM wParam, LPARAM lParam);
	
public:
	afx_msg void OnBnClickedRun();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedStop();
	};
