#pragma once

#include <winsock2.h>
#include <set>

#define MSG_SERVER_DOWN WM_APP + 100
#define MSG_SERVER_UP WM_APP + 101
#define MSG_NEW_DATA WM_APP + 102	


class Client
{		
public:

	CDialog *pDialog;

	char cSocketBuffer[1024];
	char cDataBuffer[1024];
	
	SOCKET socketConnect;

	HANDLE hClientThread;
	HANDLE hClientStop;	//poziadavka na ukoncenie servra
	
	Client(CDialog *dialog);	
	~Client();	

	void StartTCPClient();	
	void StopTCPClient();

	static void StartThread(void *ts);	
	void ConnectOnPort();	

	int Set_sockaddr_in(const char* host, const char* service, const char* protocol, sockaddr_in* si);
	SOCKET Connect(const char *host, const char *port);

	void GetSocketBuffer(char *cBuffer, int iBufferSize);
	void SendData(char *cBuffer, int iDataLength);
};
